Summary: curses terminal control library
Name: ncurses
%define version 4.2
Version: %{version}
Release: 6
Copyright: distributable
Group: Libraries
Source0: ftp://ftp.clark.net/pub/dickey/ncurses/ncurses-4.2.tar.gz
Patch0: ftp://ftp.clark.net/pub/dickey/ncurses/4.2/ncurses-4.2-980307.patch.gz
Patch1: ftp://ftp.clark.net/pub/dickey/ncurses/4.2/ncurses-4.2-980314.patch.gz
Patch2: ftp://ftp.clark.net/pub/dickey/ncurses/4.2/ncurses-4.2-980321.patch.gz
Patch3: ftp://ftp.clark.net/pub/dickey/ncurses/4.2/ncurses-4.2-980328.patch.gz
Patch4: ftp://ftp.clark.net/pub/dickey/ncurses/4.2/ncurses-4.2-980404.patch.gz
Patch5: ncurses-4.2-hjl.patch
Patch6: ncurses-4.2-rh.patch
BuildRoot: /var/tmp/ncurses-root

%description
The curses library routines give the user a terminal-independent method of
updating character screens with reasonable optimization.  This
implementation is ``new curses'' (ncurses) and is the approved replacement
for 4.4BSD classic curses, which is being discontinued. 

%changelog
* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- added terminfo entry for the poor guys using lat1 and/or lat-2 on their
  consoles... Enjoy linux-lat ! Thanks, Erik !

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- new patch to get xterm-color and nxterm terminfo entries
- aliased them to rxvt, as that seems to satisfy everybody

* Sun Apr 12 1998 Cristian Gafton <gafton@redhat.com>
- added %clean section

* Tue Apr 07 1998 Cristian Gafton <gafton@redhat.com>
- removed /usr/lib/terminfo symlink - we shouldn't need that

* Mon Apr 06 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.2 + patches
- added BuildRoot

* Sat Apr 04 1998 Cristian Gafton <gafton@redhat.com>
- rebuilt with egcs on alpha

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- version 7 didn't rebuild properly on the Alpha somehow -- no real changes
  are in this version

* Tue Dec 09 1997 Erik Troan <ewt@redhat.com>
- TIOCGWINSZ wasn't used properly

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- built against glibc, linked shared libs against -lc

%package devel
Summary: development libraries for ncurses
Group: Development/Libraries
Requires: ncurses = %{version}

%description devel
This package includes the header files and libraries necessary to develop
applications that use ncurses.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p1 -b .rh
find . -name "*.orig" -exec rm -f {} \;

%build
CFLAGS="$RPM_OPT_FLAGS -DPURE_TERMINFO" ./configure \
	--prefix=/usr --with-normal --with-shared 
make

%install
make install prefix=$RPM_BUILD_ROOT/usr \
	includedir=$RPM_BUILD_ROOT/usr/include/ncurses
ln -sf ../l/linux $RPM_BUILD_ROOT/usr/share/terminfo/c/console
ln -sf ncurses/curses.h $RPM_BUILD_ROOT/usr/include/ncurses.h
for I in curses unctrl eti form menu panel term; do
	ln -sf ncurses/$I.h $RPM_BUILD_ROOT/usr/include/$I.h
done
# remove the linux terminfo entries 
# (broken on sparc, see termfiles_sparc pkg)
%ifarch sparc
rm -f $RPM_BUILD_ROOT/usr/lib/terminfo/l/linux
rm -f $RPM_BUILD_ROOT/usr/lib/terminfo/l/linux-m
%endif
strip $RPM_BUILD_ROOT/usr/bin/*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README ANNOUNCE
/usr/lib/lib*.so.*
/usr/share/terminfo
/usr/share/tabset
/usr/bin/*
/usr/man/man1/*
/usr/man/man5/*
/usr/man/man7/*

%files devel
%doc c++ test
/usr/lib/lib*.so
/usr/lib/lib*.a
/usr/include/ncurses/*.h
/usr/include/*.h
/usr/man/man3/*

%clean
rm -rf $RPM_BUILD_ROOT
